Εγκατάσταση Firefox (τελευταία έκδοση)

Καλημέρα, είμαι νέος στο linux και αντιμετωπίζω ένα πρόβλημα .Εγκατέστησα τον firefox ,Thunderbird και έκανα ένα έλεγχο και είδα ότι ο firefox βρίσκεται στο 60.4 και ο Thunderbird 60.3. Μπήκα στην σελίδα τού firefox και κατέβασα την παραπάνω εφαρμογή firefox-73.0.tar.bz2.Μετά έκανα εξαγωγή τους φακέλους ,υπάρχουν πολλοί φάκελλοι και δεν ξέρω τι να κάνω ? .Βασικά δεν ξέρω πως να κάνω εγκατάσταση τα αρχεία tar.bz2 ώστε να έχω τις πιο πρόσφατες ενημερώσεις.Είχα εγκαταστήσει τον brave μέσα από αποθετήριο του deepin 15.11 και ήταν στο 1.0.0.0.Τώρα έκανα εγκατάσταση τον brave μέσα από την σελίδα σας και βρέθηκα στο 1.3.115. Ευχαριστώ πολύ είμαι σε αναμονή .

Καλωσορισες στην παρεα μας @giorgosf.

Τα αρχεια .tar.bz2 ειναι σαν τα .zip. Ειναι στην ουσια συμπιεσμενα αρχεια. Τα αποσυμπιεζεις και τα τοποθετεις σε οποιο φακελο θες. Η οργανωση των αρχειων αυτων ειναι δικη σου υποθεση, η διανομη δεν εχει κατι να κανει με αυτο.

Ο λογος για τον οποιον οι εκδωσεις των προγραμματων απο τα αποθετηρια της διανομης ειναι λιγο ποιο πισω απο τις εκδοσεις που υπαρχουν στην ιστοσελιδα του καθε προγραμματος ειναι οτι υπαρχει διαφορα στους ρυθμους εκδοσης.

Τα αποθετηρια της διανομης προσπαθουν να κρατησουν εκδοσεις των εν λογω προγραμματων που ειναι σταθερες και δοκιμασμενες. Ενω οι εκδοσεις των προγραμματων που βγαινουν “φρεσκιες φρεσκιες” δεν ειναι και παρα πολυ καλα δοκιμασμενες και ενδεχομενως να υπαρχουν και προβληματα. Γιαυτο ειναι καλο να μην παιρνουμε την τελευταια τελευταια εκδοση.

Επισεις η τελευταια εκδοση ενως προγραμματος χρειαζεται συνηθως μονο οταν διορθωνει ενα προβλημα. Ενα ακομα πραγμα που πρεπει να κραταμε στο μυαλο μας οταν τρεχουμε να βαλουμε την τελευταια τελευταια εκδοση ενος προγραμματος ειναι οτι στις τελευταιες εκδοσεις μπορει να υπαρχουν αλλαγες που θα αλλειωσουν τα δεδομενα μας και δεν θα μπορουμε να τα χρησιμοποιησουμε στις παλιοτερες εκδοσεις… εαν χρειαστει να παμε πισω… δηλαδη βαζουμε τον εαυτο μας σε ενα μονοδρομο… γιατι η θα χρησιμοποιησουμε τις τελευταιες τελευταιες εκδωσεις ή θα πρεπει να περιμενουμε μεχρι να ερθουν σωστα στα αποθετηρια του Deepin και να μπορεσουμε μετα να χρησιμοποιησουμε τα δεδομενα μας.

Εαν θελουμε απλα να το δοκιμασουμε και δεν εχουμε αναγκη το τελευταιο τελευταιο για καποιο συγκεκριμενο λογο, τοτε πρεπει να βρησκουμε ποιο ασφαλεις τροπους δοκιμης, πχ μεσω εικονικης μηχανης.

Τεχνικως (εκτως εαν δεν εχω διαβασει το μυνημα σου σωστα) δεν υπαρχει προβλημα. Απλα εχεις δυο διαφορετικες εκδοσεις απο τα προγραμματα που κατεβασες και χρησιμοποιεις.

4 Likes

Καλώς ήρθες στον κόσμο του Linux @giorgosf καλώς ήρθες και εδώ.

Ένα πράγμα που πρέπει να καταλάβουν οι πρώην χρήστες των Windows είναι πως είναι σε ένα άλλο λειτουργικό και κάποια πράγματα τα κάνουμε αλλιώς. Το πρώτο και σημαντικότερο είναι πως εγκαθιστούμε λογισμικό μόνο από τα επίσημα αποθετήρια της διανομής μας. Αν το κάνουμε αυτό δεν θα έχουμε ποτέ μας πρόβλημα.

Προφανώς υπάρχουν εξαιρέσεις στον κανόνα, όπως για παράδειγμα η εγκατάσταση του Brave. Αν μάθεις τους τρόπους του Linux θα μπορείς να κάνεις ότι θέλεις, γιατί ο υπολογιστής είναι δικός σου και τον αγόρασες με δικά σου χρήματα και άρα μπορείς να του κάνεις ότι θέλεις, αλλά κάθε τι στον χρόνο του.

3 Likes

To deepin linux που έχει επιλέξει ο φίλος @giorgosf , για κάποιον λόγο άγνωστο σε μένα, έχει στα αποθετήρια (store) αρκετά παλιότερη έκδοση του firefox και δεν την ανανεώνει. Φαίνεται ότι το deepin θέλει να προωθήσει άλλους browser όπως τον chrome. Αν ο φίλος @giorgosf θέλει οπωσδήποτε χρήση του firefox και μάλιστα πρόσφατης έκδοσης θα πρέπει να ακολουθήσει τις οδηγίες εδώ (που δυστυχώς δεν είναι και ό,τι πιο φιλικό για νεοεισερχόμενο): https://libre-software.net/how-to-install-firefox-on-ubuntu-linux-mint/

Σημειώνω ότι η συντριπτική πλειονότητα των διανομών Linux ενημερώνουν τον firefox στις τελευταίες εκδόσεις του, απευθείας από το επίσημο store (αποθετήρια) της εκάστοτε διανομής.

1 Like

Αν με το “συντριπτική πλειονότητα των διανομών Linux” εννοουμε συντριπτική πλειονότητα των διανομών Linux που στηριζονται στο Ubuntu, τοτε ναι. Το Debian πχ και τα παραγωγα του προτιμουν το Firefox ESR. Με τα backports εχω την εκδοση 68.5 που μπορει να μην ειναι η τελευταια τελευταια αλλα παρολα αυτα κανει ικανοτατη δουλεια.

Το bleeding edge πολλες φορες ματωνει και λερωνει :slight_smile:

3 Likes

Γιώργο, εκτός από αυτά που αναφέρουν οι φίλοι πιο πριν, με τα οποία συμφωνώ, σκέψου ότι πολλές εφαρμογές (προγράμματα) εξαρτώνται από άλλες εφαρμογές, σχηματίζοντας ένα πλέγμα εξαρτήσεων (dependencies). Όλες οι εφαρμογές του πλέγματος πρέπει να είναι συγχρονισμένες, αλλιώς θα έχεις προβλήματα στη λειτουργία του συστήματος. Για το λόγο αυτό, στον κόσμο του Linux, χρησιμοποιούμε τα αποθετήρια που έρχονται με τις διανομές για να εγκαθιστούμε εφαρμογές και ανανεώνουμε (update) το σύστημα ακολουθώντας πάλι τον κύκλο της κάθε διανιμής προκειμένου όλες οι εξαρτήσεις να είναι συντονισμένες. Οπότε αν εσύ εγκαθιστάς εφαρμογές μόνος σου, τότε μοιραία κάποια στιγμή θα σπάσει ο κύκλος των εξαρτήσεων και θα αντιμετωπίσεις ζητήματα λειτουργίας.

3 Likes

Έχεις δίκιο δεν ήξερα για τον Firefox ESR και την πρακτική αυτή του Debian. Και το deepin βασίζεται σε debian. Άρα η εκτίμησή μου ότι το deepin θέλει να προωθήσει άλλους browser ήταν λανθασμένη. Είναι απλά ζήτημα επιλογών της διανομής. Να ρωτήσω: Ο Firefox ESR λαμβάνει τουλάχιστον τις τελευταίες ενημερώσεις ασφαλείας; Δηλαδή σε θέμα security είναι όσο ασφαλής και οι τελευταίες εκδόσεις του εν λόγω browser;

1 Like

Οσον αφορα τις ενημερωσεις ασφαλειας ναι και η ομαδα ασφαλειας του Debian συμφωνα με οτιδηπωτε ευπαθεια αναφερεται πατσαρει την ESR και εκδιδει την διορθωμενη στο αποθετηριο.

Οι τελευταιες αναφερθησες ευπαθειες για τον firefox-esr στο Debian ειναι διορθωμενες και μπορεις να διες την δουλεια που γινεται εδω:

https://www.debian.org/security/2020/dsa-4620

Παραθετουν επισεις τα CVE των ευπαθειων καθως και τη σελιδα Security Tracker του ιδιου του Debian για το firefox-esr πακετο.

Η δουλεια που κανουν οι συντηρητες των πακετων και η ομαδα ασφαλειας του Debian ειναι ενας απο τους λογους για τους οποιους εμενα προσωπικα το Debian μου εμπνεει εμπιστοσυνη.

@aristotelis, σωστος. Για αυτους τους λογους που ανεφερες το Debian εχει την περιφιμη σελιδα Don’t Break Debian ( https://wiki.debian.org/DontBreakDebian ) στο Wiki τους.

2 Likes

Καλημέρα,δεν έχω την 68,5 ,έχω την έκδοση 60,4 firefox esr και βρίσκομαι πολύ πιο πίσω.Τι μπορώ να κάνω?

Καταρχάς στο store του deepin υπάρχει η επιλογή “update” για να γίνει request για update στους devs της διανομής. Κατά την άποψή μου, εφόσον θέλεις τελευταίες εκδόσεις συγκεκριμένων εφαρμογών που χρησιμοποιείς, ίσως θα πρέπει να σκεφτείς τη χρήση μιας διανομής που να υποστηρίζει κάτι τέτοιο. Το deepin έχει ένα από τα καλύτερα UI που έχω δει, αλλά σε κάποια θέματα δεν ταίριαξε με το workflow μου (ένα εξ αυτών ήταν τα updates των εφαρμογών που χρησιμοποιώ και δεν είμαι διατεθειμένος να τα κάνω με το “χέρι”).

δτις διανομες debian νομιζω αν κανεις απεγκατασταση τον firefox esr , αυτοματα γινεται εγκατασταση της τελευταιας εκδοσης που υποστηριζει το debian. σε καποιες διανομες debian που ειχα δοκιμασει ετσι ειχε γινει.

Καλό μεσημέρι, έχω κάνει ενημέρωση και μου γράφει ότι το σύστημα είναι ενημερωμένο.Όταν μπήκα στην σελίδα αυτή έγραφε ,αν θέλετε μπορείτε να εγκαταστήσετε το brave γιατί θα βοηθούσε την συντήρηση της σελίδας.Είχα ήδη εγκαταστήσει την έκδοση 1.0.0.0. Ακολούθησα τις οδηγίες για να βοηθήσω και βρέθηκα 1.311.5 .Γιατί δεν γίνεται να κάνω το ίδιο και εγώ στον firefox und Thunderberd ?

Γιατί οι δημιουργοί του brave έφτιαξαν δικό τους repository για πολλές διανομές ενώ η mozilla δεν κάνει το ίδιο και διανέμει firefox και thunderbird με διαφορετικό τρόπο. (Διορθώστε με αν κάνω λάθος).

1 Like

Σωστος. Ο Firefox και ο Thunderbird απο την σελιδα του Mozilla κατεβαινουν σαν μεμονομενα προγραμματα και οχι πακεταρισμενα για το Deepin, γιατι ηδη υπαρχει μια εκδοση του Firefox με την διανομη.

@giorgosf να κανω μια ερωτηση; Υπαρχει κατι στον Firefox 73 που οπωσδηποτε χρειαζεσαι; Γιατι και ο Firefox ESR ο 68.5 που εχει το Deepin δεν ειναι και τοσο παλιος. Αν ηταν firefox 50 πχ θα καταλαβαινα την αναγκη για ενημερωση. Οπως προαναφεραμε οι τελευταιες τελευταιες εκδοσεις δεν ειναι παντα αρκετα σταθερες για χρηση απο το ευρυ κοινο. Ειναι καλυτερο σε περιπτωση που βρεθουν σφαλματα να εισαι μια δυο εκδοσεις πισω. Επισεις ESR σημαινει Extended Support Release που στην ουσια λενε… αν χρειαστει θα διορθωσουμε σε αυτη την εκδοση οτι χρειαζεται για να ειναι σταθερος και ασφαλης.

Βρίσκομαι στην έκδοση Firefox ESR 60,4 .

OK. Μολις ειδα τα αποθετηρια του Deepin. Το πακετο του firefox στο Deepin ειναι απο το Debian 9. Αλλα οντως ειναι παλια εκδοση στο αποθετηριο του Deepin γιατι στο Debian 9 (που ειναι πια η oldstable εκδοση) υπαρχει η 68.5

Για κατεβασε το deb αρχειο απο εδω: http://security.debian.org/debian-security/pool/updates/main/f/firefox-esr/firefox-esr_68.5.0esr-1~deb9u1_amd64.deb

και δες αν μπορεις να το κανεις εγκατασταση με το GDebi. Αν σου βγαλει οτι ολες οι εξαρτησεις (dependencies) ειναι ενταξει τοτε προχωρα στην εγκατασταση.

Αν οχι νομιζω θα πρεπει να βρουμε τροπο να βγαλουμε την 60.4 και να βαλουμε μια πιο νεα. Δοκιμασε πρωτα το παραπανω αρχειο και μετα προχωραμε.

1 Like

Ευχαριστώ πολύ,το εγκατέστησα χωρίς πρόβλημα.

Να σαι καλα καλη συνεχεια

Δοκίμασα και αυτό από την σελίδα που μου έδωσες για firefox αλλά δεν τρέχει. (http://security-cdn.debian.org/debian-security/pool/updates/main/t/thunderbird/thunderbird-l10n-el_68.5.0-1~deb9u1_all.deb)

Το αρχειο που κατεβασες ειναι τα ελληνικα για το Thunderbird. Το αρχειο που ψαχνεις ειναι αυτο:
http://security.debian.org/debian-security/pool/updates/main/t/thunderbird/thunderbird_68.5.0-1~deb9u1_amd64.deb